package com.bytedance.android.livesdk.function;

import X.0CB;
import X.0CH;
import X.0b0;
import X.1jk;
import X.2A9;
import X.2AX;
import X.6Is;
import X.C2300GZx;
import X.C2301GZy;
import X.C2302GZz;
import X.C2499GdA;
import X.GXD;
import android.view.View;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.datachannel.DataChannel;
import com.bytedance.ies.sdk.widgets.LiveRecyclableWidget;
import kotlin.h.b.n;

public final class StreamInfoWidget extends LiveRecyclableWidget implements 6Is {
    public 1jk LIZ;
    public Object LIZIZ;

    static {
        Covode.recordClassIndex(16262);
    }

    public final int getLayoutId() {
        return 2131562048;
    }

    public final void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    public final void onUnload() {
        hide();
        1jk r1 = this.LIZ;
        if (r1 == null) {
            n.LIZ("");
        }
        r1.setText("");
        this.LIZIZ = null;
    }

    public final void onInit(Object[] objArr) {
        1jk findViewById = findViewById(2131370749);
        n.LIZIZ(findViewById, "");
        this.LIZ = findViewById;
    }

    public final void onLoad(Object[] objArr) {
        DataChannel dataChannel = this.dataChannel;
        if (dataChannel != null) {
            dataChannel.LIZ((0CH) this, 2A9.class, new C2300GZx(this));
        }
        DataChannel dataChannel2 = this.dataChannel;
        if (dataChannel2 != null) {
            dataChannel2.LIZ((0CH) this, 2AX.class, new GXD(this));
            dataChannel2.LIZ((0CH) this, C2499GdA.class, new C2301GZy(this));
        }
        View view = getView();
        if (view != null) {
            view.setBackgroundDrawable(0b0.LIZJ(2131099681));
        }
        1jk r1 = this.LIZ;
        if (r1 == null) {
            n.LIZ("");
        }
        r1.setOnClickListener(new C2302GZz(this));
    }
}
